|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Functions | Variables
dmt.c File Reference
MPLABX MCC Melody Code Generator » DMT Driver

This is the generated driver source file for DMT driver. More...

`#include <xc.h>`
`#include <stddef.h>`
`#include "../dmt.h"`
`#include "../interrupt.h"`
Include dependency graph for dmt.c:

Go to the source code of this file.

## Functions
void | DMT_Calibrate (void)
void | DMT_Initialize (void)
| Initializes the DMT module.
void | DMT_Enable (void)
| Enables the DMT module.
void | DMT_PreClear (void)
| Writes the PreClear Pattern for DMTPRECLR register.
void | DMT_Clear (void)
| Checks the PreClear Status and clears the DMT Fetch Counter.
bool | DMT_IsWindowOpen (void)
| Returns the Window Open status.
bool | DMT_IsPreCleared (void)
| Checks for the PreClear sequence was initiated and done before the Clear sequence is done.
uint32_t | DMT_TimeoutCounterGet (void)
| Reads the DMT counter register.
uint32_t | DMT_WindowTimeoutCounterGet (void)
| Reads the DMT Window Interval Counter.
uint16_t | DMT_StatusGet (void)
| Gets the DMT status.
uint32_t | DMT_CounterGet (void)
| Returns the current counter value.
void | DMT_EventCallbackRegister (void(*handler)(void))
| This function can be used to override default callback and to define custom callback for DMT Event event.
void | __attribute__ ((weak))
void | __attribute__ ((interrupt, no_auto_psv))

## Variables
static bool | bPreCleared = false
uint32_t | calibOffset = 0
static void(* | DMT_EventHandler )(void) = NULL

## Detailed Description

DMT Generated Driver Source File

Definition in file dmt.c.

## Function Documentation

## ◆ __attribute__() [1/2]

void __attribute__ | ( | (interrupt, no_auto_psv) |  | ) |

Definition at line 148 of file dmt.c.

## ◆ __attribute__() [2/2]

void __attribute__ | ( | (weak) |  | ) |

Definition at line 142 of file dmt.c.

## ◆ DMT_Calibrate()

void DMT_Calibrate | ( | void |  | ) |

Here is the caller graph for this function:

## Variable Documentation

## ◆ bPreCleared

bool bPreCleared = false
| static

Definition at line 45 of file dmt.c.

## ◆ calibOffset

uint32_t calibOffset = 0

Definition at line 46 of file dmt.c.

## ◆ DMT_EventHandler

void(* DMT_EventHandler) (void) | ( | void |  | ) | = NULL
| static

Definition at line 47 of file dmt.c.